import type { RawSourceMap } from 'source-map';
import type { HashedBundled } from '../../common/bundle.js';

export enum SourceMapExtension {
	CSS = 'css',
	JS = 'js',
}

export type SourceMapFilename<NameT extends string, HashT extends string, ExtensionT extends SourceMapExtension> =
	`${NameT}.${HashT}.${ExtensionT}.map`

export const SourceMaps = new Map<SourceMapFilename<string, string, SourceMapExtension>, RawSourceMap>([

])

export function getSourceMapFileName<NameT extends string, HashT extends string, ExtensionT extends SourceMapExtension>(name: NameT, hash: HashT, extension: ExtensionT): SourceMapFilename<NameT, HashT, ExtensionT> {
	return `${name}.${hash}.${extension}.map`
}
